<?php
/******************************************************************************/
//                                                                            //
//                             InstantMedia 2014                              //
//	 		  http://www.instantmedia.ru/, support@instantmedia.ru            //
//                               written by Fuze                              //
//                                                                            //
/******************************************************************************/
class onAuthlogsUserTabShow extends cmsAction {

    public function run($profile, $tab_name){

        $user     = cmsUser::getInstance();
        $template = cmsTemplate::getInstance();

        if(!$user->isInGroups($this->options['groups_allowed'])){
            cmsCore::error404();
        }

        cmsCore::includeFile('system/controllers/authlogs/lib/phpUserAgent.php');
        cmsCore::includeFile('system/controllers/authlogs/lib/phpUserAgentStringParser.php');

        $logs = $this->
                model->filterEqual('user_id', $profile['id'])->
                orderBy('auth_date', 'DESC')->
                get('auth_logs', function ($item, $model){
            $ua = new phpUserAgent($item['useragent']);
            $item['browser']    = ucfirst($ua->getBrowserName()).' '.$ua->getBrowserVersion();
            $item['fauth_date'] = string_date_age($item['auth_date'], array('y','m','d','h','i'), true);
            $item['fip']        = long2ip($item['ip']);
            return $item;
        });

        return $template->renderInternal($this, 'profile_tab', array(
            'user' => $user,
            'logs' => $logs,
            'profile' => $profile
        ));

    }

}
